Bug 1258593 - WARNING: CPU: 3 PID: 472 at arch/x86/mm/ioremap.c:202 __ioremap_caller+0x2b0/0x3a0() [NEEDINFO]
WARNING: CPU: 3 PID: 472 at arch/x86/mm/ioremap.c:202 __ioremap_caller+0x2b0/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 14:17 EDT by Vadim Rutkovsky
Modified: 2015-11-23 12:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:15:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2015-08-31 14:17:33 EDT
Checking dmesg for specific failures!
[   10.592322] ------------[ cut here ]------------
[   10.597476] WARNING: CPU: 3 PID: 472 at arch/x86/mm/ioremap.c:202 __ioremap_caller+0x2b0/0x3a0()
[   10.607282] Info: mapping multiple BARs. Your kernel is fine.
[   10.613499] Modules linked in:
[   10.616914]  ipmi_si(+) ie31200_edac(+) ipmi_msghandler i2c_i801 shpchp edac_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc mgag200 i2c_algo_bit drm_kms_helper ttm drm ata_generic pata_acpi
[   10.618001] CPU: 3 PID: 472 Comm: systemd-udevd Not tainted 4.1.6-200.fc22.x86_64 #1
[   10.618002] Hardware name: IBM IBM System X3250 M4 -[2583AC1]-/00D3729, BIOS -[JQE158AUS-1.05]- 07/23/2013
[   10.618003]  0000000000000000
[   10.618003]  000000004135e074
[   10.618003]  ffff8800b9ec3918
[   10.618003]  ffffffff8179b97d

[   10.618004]  0000000000000000
[   10.618004]  ffff8800b9ec3970
[   10.618004]  ffff8800b9ec3958
[   10.618005]  ffffffff810a165a

[   10.618005]  ffff8800b9ec3988
[   10.618005]  ffffc90001240000
[   10.618005]  00000000fed18000
[   10.618006]  0000000000008000

[   10.618006] Call Trace:
[   10.618011]  [<ffffffff8179b97d>] dump_stack+0x45/0x57
[   10.618013]  [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
[   10.618014]  [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
[   10.618016]  [<ffffffff81069340>] __ioremap_caller+0x2b0/0x3a0
[   10.618017]  [<ffffffff81069447>] ioremap_nocache+0x17/0x20
[   10.618019]  [<ffffffffa0225147>] ie31200_init_one+0x107/0x4a0 [ie31200_edac]
[   10.618022]  [<ffffffff813fa815>] local_pci_probe+0x45/0xa0
[   10.618024]  [<ffffffff812ab982>] ? sysfs_do_create_link_sd.isra.2+0x72/0xc0
[   10.618025]  [<ffffffff813fbb79>] pci_device_probe+0xf9/0x150
[   10.618027]  [<ffffffff813fb9ee>] ? pci_match_device+0xbe/0x110
[   10.618029]  [<ffffffff814ec899>] driver_probe_device+0x209/0x4b0
[   10.618031]  [<ffffffff814ecc1b>] __driver_attach+0x9b/0xa0
[   10.618032]  [<ffffffff814ecb80>] ? __device_attach+0x40/0x40
[   10.618034]  [<ffffffff814ea463>] bus_for_each_dev+0x73/0xc0
[   10.618035]  [<ffffffff814ec15e>] driver_attach+0x1e/0x20
[   10.618037]  [<ffffffff814ebd10>] bus_add_driver+0x180/0x250
[   10.618038]  [<ffffffffa009f000>] ? 0xffffffffa009f000
[   10.618039]  [<ffffffff814ed414>] driver_register+0x64/0xf0
[   10.618041]  [<ffffffff813fa0ac>] __pci_register_driver+0x4c/0x50
[   10.618042]  [<ffffffffa009f031>] ie31200_init+0x31/0x1000 [ie31200_edac]
[   10.618044]  [<ffffffff81002128>] do_one_initcall+0xb8/0x200
[   10.618046]  [<ffffffff8120bba9>] ? kmem_cache_alloc_trace+0x1b9/0x240
[   10.618047]  [<ffffffff8179abc9>] ? do_init_module+0x28/0x1cb
[   10.618049]  [<ffffffff8179ac01>] do_init_module+0x60/0x1cb
[   10.618051]  [<ffffffff81127e0e>] load_module+0x209e/0x26f0
[   10.618053]  [<ffffffff81123850>] ? store_uevent+0x70/0x70
[   10.618055]  [<ffffffff811ed916>] ? vmap_page_range_noflush+0x226/0x340
[   10.618057]  [<ffffffff811285c5>] SyS_init_module+0x165/0x1b0
[   10.618059]  [<ffffffff810250d7>] ? syscall_trace_leave+0xc7/0x140
[   10.618061]  [<ffffffff817a1f2e>] system_call_fastpath+0x12/0x71
[   10.618061] ---[ end trace 8acd8986c86d0bfa ]---
Comment 2 Erich Cordoba 2015-08-31 23:49:54 EDT
Seems to be the initialization of ie31200_edac module, when this warning happens?
Comment 3 Justin M. Forbes 2015-10-20 15:28:05 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Fedora Kernel Team 2015-11-23 12:15:56 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.